<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Black & White Mode Toggle</title>
    <!-- <link rel="stylesheet" href="./style.css" /> -->
    <link rel="stylesheet" href="./styles.css" />
  </head>
  <body>
    <input type="checkbox" id="switch" />
    <div class="app">
      <div class="body">
        <div class="main-circle"></div>
        <div class="phone">
          <!-- Top -->
          <div class="menu">
            <div class="time">4:20</div>
            <div class="icons">
              <div class="network"></div>
              <div class="battery"></div>
            </div>
          </div>

          <!-- Middle -->
          <div class="content">
            <div class="circle">
              <div class="crescent"></div>
            </div>
            <p class="heading">Choose a style</p>
            <p>
              Pop or subtle. Day or night.<br />
              Customize your interface
            </p>
            <label for="switch">
              <div class="toggle"></div>
              <div class="names">
                <p class="light">Light</p>
                <p class="dark">Dark</p>
              </div>
            </label>

            <div class="mark"></div>
          </div>

          <!-- Bottom -->
          <div class="skip">
            <p>Skip</p>
            <div class="fab">
              <div class="arrow"></div>
            </div>
          </div>

          <div class="swipe"></div>
        </div>
      </div>

      <div class="credit">
        <p>
          Inspired by
          <a href="#" target="_blank">Matthieu Souteyrand</a>
        </p>
      </div>
    </div>

    <!-- Day Night Toggle Switch -->
    <!-- <div class="wrapper">
      <div class="toggles">
        <input class="toggle-input" type="checkbox" id="dn-toggle-input" />
        <div class="toggle-bg"></div>
        <div class="toggle-switch">
          <div class="toggle-switch-figure"></div>
          <div class="toggle-switch-figureAlt"></div>
        </div>
      </div>
    </div> -->

    <!-- Toggle Switch Only -->
    <label class="toggle-only">
      <input class="toggle-checkbox-only" type="checkbox" checked />
      <div class="toggle-switch-only"></div>
    </label>

    <script>
      const dnToggleInput = document.getElementById("dn-toggle-input");
      dnToggleInput.checkbox = false;
      dnToggleInput.addEventListener("change", function () {
        dnToggleInput.checkbox = !dnToggleInput.checkbox;
        document.body.classList.toggle("dark-mode");
      });
    </script>
  </body>
</html>
